Bug 253432 - gcstar doesn't remember ui settings on restart
gcstar doesn't remember ui settings on restart
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gcstar (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Christian Jodar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-19 08:27 EDT by Sergio Pascual
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.2.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 21:46:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The gcstar ui after start up (95.47 KB, image/png)
2007-08-19 17:32 EDT, Sergio Pascual
no flags Details
The ui after changing the toolbar from large to small (96.16 KB, image/png)
2007-08-19 17:36 EDT, Sergio Pascual
no flags Details

  None (edit)
Description Sergio Pascual 2007-08-19 08:27:15 EDT
Description of problem:
gcstar starts up with a set of big buttons in the toolbar. The appareance of the
buttons can be changed in Preferences, check in the Expert Mode" button, enter
in the Display tab and there you can switch the size of the toolbar between
Large Small and None. So I change the size to Small nad the toolbar gets small.
But after restart of the app, the toolbar is again Large, although in
preferences, Small is still selected

Version-Release number of selected component (if applicable):
gcstar-1.1.1-2.fc7

How reproducible:
Always

Steps to Reproduce:
1. Follow the instructions of description
2.
3.
  
Actual results:
Upon restart, the toolbar is still large

Expected results:
The toolbar is small

Additional info:
Comment 1 Christian Jodar 2007-08-19 14:04:34 EDT
I tested and this worked fine, even with a fresh install of the same version.

You may check in the configuration file that GCstar stored the correct value
with this command:

grep toolbar= ~/.config/gcstar/GCstar.conf

1 means small, 2 big. But as the correct setting is shown in the preferences, I
guess this is correct.

Maybe you have a global Gtk2 setting that prevent application from setting their
toolbar size on startup while they could do it at runtime.

What happens if you try to set it to big, validate, then set it back to small?
Do these tests after a start where it should have been a small toolbar.

Try also to launch GCstar from a console (just enter gcstar) to check if there
are some error messages displayed here on startup.
Comment 2 Sergio Pascual 2007-08-19 17:32:01 EDT
Created attachment 161828 [details]
The gcstar ui after start up

This is the ui after starting the program. You can see large buttons and the
small toolbar selected
Comment 3 Sergio Pascual 2007-08-19 17:36:01 EDT
Created attachment 161829 [details]
The ui after changing the toolbar from large to small

If I change the toolbar to large, then I gent smaller buttons. Notice that the
text "Tonight" and "Play" have disappeared in the corresponding buttons.
Comment 4 Sergio Pascual 2007-08-19 17:40:11 EDT
I have checked also that no errors appear if the program is run from a terminal.
The only gtk setting I have changed from default is only show icons in the
buttons ofthe toolbars. But if I change it to text and icons I get roughly the
same thing
Comment 5 Christian Jodar 2007-09-19 06:57:24 EDT
Version 1.2.2 of GCstar fixes some issues with toolbar management. So it may fix
yours also. gcstar-1.2.2-1.fc7 should be available in updates now. Please let me
know if this fixes your issues.
Comment 6 Christian Jodar 2007-09-19 07:07:23 EDT
I am sorry but I did a small mistake. It is not yet available in updates. I will
keep you informed.
Comment 7 Fedora Update System 2007-09-24 14:00:14 EDT
gcstar-1.2.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Sergio Pascual 2007-09-28 05:23:35 EDT
Seems to fix the bug, thank you
Comment 9 Fedora Update System 2007-10-10 21:46:05 EDT
gcstar-1.2.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.